require "Dialogs"
Player.sprite.alpha = 1
Player.SetControlOverride(true)
Player.MoveToAbs(48, 25, true)
Encounter["BtF"].Set("Fake UI, KR and HP Library Sprites/"..GetAlMightyGlobal("Idioma").."/FIGHT 1")

Arena.Resize(565, 130)

timer = 0

function Update()
	if timer < 360 then
		timer = timer + 1
	end
	DialogUpdate()
	if timer == 1 then
		if GetAlMightyGlobal("Idioma") == "Spanish" then
			Dialog("[noskip][SetSpace:3]Papyrus [waittall:2]ya no [waittall:4]cree [waittall:6]en ti[waittall:8]. . .[w:10000] ", {X = 91, Y = 210}, nil, true, 1)
		elseif GetAlMightyGlobal("Idioma") == "Russian" then
			Dialog("[noskip][SetSpace:3]Папирус [waittall:2]больше [waittall:4]не верит [waittall:6] в вас[waittall:8]...[w:10000] ", {X = 91, Y = 210}, nil, true, 1)
		else
			Dialog("[noskip][SetSpace:3]Papyrus no [waittall:2]longers [waittall:4]believes [waittall:6]in\ryou[waittall:8]. . .[w:10000] ", {X = 91, Y = 210}, nil, true, 1)
		end
	elseif timer == 360 then
		Arena.Resize(155, 130)
		Encounter["BtF"].Set("Fake UI, KR and HP Library Sprites/"..GetAlMightyGlobal("Idioma").."/FIGHT 0")
		Player.MoveToAbs(320, 160, false)
		Dialog("", {0, 0}, nil, false, 1)
		if GetAlMightyGlobal("Idioma") == "Spanish" then
			Bubble("[noskip][font:papyrus][voice:papyrus][func:SetHead,What]Qué?[w:10] [func:SetHead,Whatever]Sé que no\npuedo pelear en\nesta condición.", "rightwide", 490.5, 395, 40, 90, 1)
		elseif GetAlMightyGlobal("Idioma") == "Russian" then
			Bubble("[noskip][font:papyrus][voice:papyrus][func:SetHead,What]Что?[w:10] [func:SetHead,Whatever]Я знаю, я\nне могу сража-\nться в таком\nсостоянии.", "rightwide", 490.5, 395, 40, 90, 1)
		else
			Bubble("[noskip][font:papyrus][voice:papyrus][func:SetHead,What]What?[w:10] [func:SetHead,Whatever]I know I\ncan't fight in\nthis condition.", "rightwide", 490.5, 395, 40, 90, 1)
		end
		timer = 361
	elseif timer == 361 and Bubbles[1] and not Bubbles[1].Activo then
		if GetAlMightyGlobal("Idioma") == "Spanish" then
			Bubble("[noskip][font:papyrus][voice:papyrus][func:SetHead,What]Pero eso no\nsignifica que te\npuedo dejar ir\nfácilmente.", "rightwide", 490.5, 395, 40, 90, 1)
		elseif GetAlMightyGlobal("Idioma") == "Russian" then
			Bubble("[noskip][font:papyrus][voice:papyrus][func:SetHead,What]Но это не зна-\nчит, что я тебя\nтак просто\nотпущу.", "rightwide", 490.5, 395, 40, 90, 1)
		else
			Bubble("[noskip][font:papyrus][voice:papyrus][func:SetHead,What]But that doesn't\nmean I can let\nyou go easily.", "rightwide", 490.5, 395, 40, 90, 1)
		end
		timer = 362
	elseif timer == 362 and Bubbles[1] and not Bubbles[1].Activo then
		if GetAlMightyGlobal("Idioma") == "Spanish" then
			Bubble("[noskip][font:papyrus][voice:papyrus][func:SetHead,Sad]Todavía debes\naprender tu\nlección.", "rightwide", 490.5, 395, 40, 90, 1)
		elseif GetAlMightyGlobal("Idioma") == "Russian" then
			Bubble("[noskip][font:papyrus][voice:papyrus][func:SetHead,Sad]Тебе всё ещё\nнужно выучить\nтвой урок.", "rightwide", 490.5, 395, 40, 90, 1)
		else
			Bubble("[noskip][font:papyrus][voice:papyrus][func:SetHead,Sad]You still need\nto learn your\nlesson.", "rightwide", 490.5, 395, 40, 90, 1)
		end
		timer = 363
	elseif timer == 363 and Bubbles[1] and not Bubbles[1].Activo then
		if GetAlMightyGlobal("Idioma") == "Spanish" then
			Bubble("[noskip][font:papyrus][voice:papyrus][func:SetHead,What]Asi que[w:10] humano[w:10],\n[func:SetHead,Let's Begin]empecemos la\nlección.", "rightwide", 490.5, 395, 40, 90, 1)
		elseif GetAlMightyGlobal("Idioma") == "Russian" then
			Bubble("[noskip][font:papyrus][voice:papyrus][func:SetHead,What]Так что[w:10], человек[w:10],\n[func:SetHead,Let's Begin]давай же начнём\nурок.", "rightwide", 490.5, 395, 40, 90, 1)
		else
			Bubble("[noskip][font:papyrus][voice:papyrus][func:SetHead,What]So[w:10] human[w:10], [func:SetHead,Let's Begin]let's\nbegin the lesson.", "rightwide", 490.5, 395, 40, 90, 1)
		end
		timer = 364
	elseif timer == 364 and Bubbles[1] and not Bubbles[1].Activo then
		EndWave()
	end
end